# Generated from oxen_user-0.4.13.gem by gem2rpm -*- rpm-spec -*-
%global gem_name oxen_user

Name: rubygem-%{gem_name}
Version: 0.4.13
Release: 1%{?dist}
Summary: Offers a user table for customer users
License: MIT
URL: http://gitserver.alco.dk/oxen_user
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(combustion) >= 0.5
# BuildRequires: rubygem(combustion) < 1
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(sqlite3) < 1
# BuildRequires: rubygem(factory_girl_rails)
# BuildRequires: rubygem(factory_girl_rails) < 1
# BuildRequires: rubygem(database_cleaner)
# BuildRequires: rubygem(database_cleaner) < 1
# BuildRequires: rubygem(capybara)
# BuildRequires: rubygem(capybara) < 1
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rspec) < 1
# BuildRequires: rubygem(rspec-rails)
# BuildRequires: rubygem(rspec-rails) < 1
# BuildRequires: rubygem(rspec-nc)
# BuildRequires: rubygem(rspec-nc) < 1
# BuildRequires: rubygem(guard)
# BuildRequires: rubygem(guard) < 1
# BuildRequires: rubygem(guard-rspec)
# BuildRequires: rubygem(guard-rspec) < 1
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(pry-remote)
# BuildRequires: rubygem(pry-remote) < 1
# BuildRequires: rubygem(pry-nav)
# BuildRequires: rubygem(pry-nav) < 1
BuildArch: noarch

%description
The account table is strictly for managing customer users.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.envrc
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/oxen_user.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.4.13-1
- Initial package
